Subject: Re: problems with 3.3.8 on alpha-osf4.0

From: Jan Wielemaker <[email-masked]>
Date: Wed, 26 Jul 2000 20:11:08 +0200

Dear David,

> I've briefly perused the mailing list archive, but didn't come across
> any other reports of problems like mine.  (Jan, could the list archive be
> made searchable?)

Time to have a look at that yes.

> I am building for
> 
> 	alpha-osf4.0
> 	i686-linux
> 	mips-irix6.5
> 	sparc-solaris2.7
>
> But if I simply start the interpreter(?) interactively, I get:
> 
>     starksb@mozart$ pl
>     Unaligned access pid=15010 <pl> va=0x11ffff06a pc=0x12007c250 ra=0x12007c2f0 inst=0x9d420000
>     Unaligned access pid=15010 <pl> va=0x11ffff073 pc=0x12007c250 ra=0x12007c2f0 inst=0x9d420000
>     [FATAL ERROR:
>     	    Saved state has incompatible (32) word-length]

The alignment trouble is fixed in the internal version.  If I recall
it you can fix it by hand by removing #define NON_ALIGNED_ACCESS 1
from the generated config.h.  (then make clean; make). Alternatively
you can fetch the latest version from the CVS server.

> Note that all 4 architectures share the same
> PLBASE="/sw/common/lib/pl-3.3.8", even though $PLBASE/boot.prc is a
> binary file.  This isn't somehow platform specific, say in word length
> or byte ordering?  The copy used by alpha-osf4.0 would have been

Not on byte-ordering, but saved states do depend on the word-length.  So, I'm
afraid you can't share the home-directory if machines with different word-length
are involved.  For now you need a bit of hacking in your installation I'm
afraid (or change pl-main.c to look for another file, say boot64.prc and
change the installation accordingly).  I'll probably make a patch for this.

> generated by another architecture.  (Whichever was the last to run
> 'make install' -- sparc-solaris2.7, in this case.)
> 
> Naturally I can produce detailed build logs upon request.

This time not needed :-)

	Regards --- Jan